#include <sys/types.h>
#include <pwd.h>
#include <unistd.h>

#define DEFAULT_CONFIG_PATH "/etc/xlogin"
#define DEFAULT_DISPLAY "localhost:0"
#define MAXDESKTOPS	6  /* max number of desktops, change as needed */

#define TRUE	1
#define FALSE	0

struct userrec {
  	char username[128];
   	char password[128];
   	char homedir[2048];
	char authused[128];
	int allowroot;
     	uid_t newuid;									// Special long types for new userid and groupid
     	gid_t newgid;
 };

int auth( struct userrec * userrecord );

extern int verbose;
extern char PROGNAME[];
